Qt 5.9 | Qt Sensors | C++ Classes | QLightFilter

Qt 5.9.9 Reference Documentation

# QLightFilter Class

The QLightFilter class is a convenience wrapper around QSensorFilter. More...

Header: | #include <QLightFilter>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorFilter

- List of all members, including inherited members

## Public Functions

virtual bool | filter(QLightReading *reading) = 0

- 1 public function inherited from QSensorFilter

## Detailed Description

The QLightFilter class is a convenience wrapper around QSensorFilter.

The only difference is that the filter() method features a pointer to QLightReading instead of QSensorReading.

## Member Function Documentation

### `[pure virtual]` bool QLightFilter::filter(QLightReading *reading)

Called when reading changes. Returns false to prevent the reading from propagating.

See also QSensorFilter::filter().